-------------------------------------------------------------------------------
-- ofdm_txrx_mimo_plbw_0_wrapper.vhd
-------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

library UNISIM;
use UNISIM.VCOMPONENTS.ALL;

library ofdm_txrx_supermimo_plbw_v2_01_r;
use ofdm_txrx_supermimo_plbw_v2_01_r.all;

entity ofdm_txrx_mimo_plbw_0_wrapper is
  port (
    bram_datain : in std_logic_vector(0 to 63);
    splb_clk : in std_logic;
    debug_chipscopetrig1 : in std_logic;
    ext_txen : in std_logic;
    plb_abus : in std_logic_vector(0 to 31);
    plb_pavalid : in std_logic;
    plb_rnw : in std_logic;
    plb_wrdbus : in std_logic_vector(0 to 31);
    rssi_anta : in std_logic_vector(0 to 9);
    rssi_antb : in std_logic_vector(0 to 9);
    rx_anta_adci : in std_logic_vector(0 to 13);
    rx_anta_adcq : in std_logic_vector(0 to 13);
    rx_anta_agc_done : in std_logic;
    rx_anta_gainbb : in std_logic_vector(0 to 4);
    rx_anta_gainrf : in std_logic_vector(0 to 1);
    rx_antb_adci : in std_logic_vector(0 to 13);
    rx_antb_adcq : in std_logic_vector(0 to 13);
    rx_antb_agc_done : in std_logic;
    rx_antb_gainbb : in std_logic_vector(0 to 4);
    rx_antb_gainrf : in std_logic_vector(0 to 1);
    rx_reset : in std_logic;
    shared_memory_data_out : in std_logic_vector(0 to 31);
    splb_rst : in std_logic;
    tx_reset : in std_logic;
    tx_starttransmit : in std_logic;
    bram_addr : out std_logic_vector(0 to 31);
    bram_dout : out std_logic_vector(0 to 63);
    bram_reset : out std_logic;
    bram_wen : out std_logic_vector(0 to 7);
    idlefordifs : out std_logic;
    pktdetect : out std_logic;
    radio_rxen : out std_logic;
    radio_txen : out std_logic;
    rssi_clk_out : out std_logic;
    rx_debug_antsel : out std_logic;
    rx_debug_eq_i : out std_logic_vector(0 to 13);
    rx_debug_eq_q : out std_logic_vector(0 to 13);
    rx_debug_evm : out std_logic_vector(0 to 13);
    rx_debug_payload : out std_logic;
    rx_debug_phasecorrect : out std_logic_vector(0 to 13);
    rx_debug_phaseerror : out std_logic_vector(0 to 13);
    rx_debug_pktdone : out std_logic;
    rx_int_badheader : out std_logic;
    rx_int_badpkt : out std_logic;
    rx_int_goodheader : out std_logic;
    rx_int_goodpkt : out std_logic;
    rx_pktdetreset : out std_logic;
    shared_memory_addr : out std_logic_vector(0 to 7);
    shared_memory_ce : out std_logic;
    shared_memory_clk : out std_logic;
    shared_memory_data_in : out std_logic_vector(0 to 31);
    shared_memory_we : out std_logic;
    sl_addrack : out std_logic;
    sl_rdcomp : out std_logic;
    sl_rddack : out std_logic;
    sl_rddbus : out std_logic_vector(0 to 31);
    sl_wait : out std_logic;
    sl_wrcomp : out std_logic;
    sl_wrdack : out std_logic;
    tx_anta_dac_i : out std_logic_vector(0 to 15);
    tx_anta_dac_q : out std_logic_vector(0 to 15);
    tx_antb_dac_i : out std_logic_vector(0 to 15);
    tx_antb_dac_q : out std_logic_vector(0 to 15);
    tx_debug_pktrunning : out std_logic;
    tx_pktdone : out std_logic
  );

  attribute x_core_info : STRING;
  attribute x_core_info of ofdm_txrx_mimo_plbw_0_wrapper : entity is "ofdm_txrx_supermimo_plbw_v2_01_r";

end ofdm_txrx_mimo_plbw_0_wrapper;

architecture STRUCTURE of ofdm_txrx_mimo_plbw_0_wrapper is

  component ofdm_txrx_supermimo_plbw is
    generic (
      C_BASEADDR : std_logic_vector(0 to 31);
      C_HIGHADDR : std_logic_vector(0 to 31);
      C_SPLB_AWIDTH : INTEGER;
      C_SPLB_DWIDTH : INTEGER;
      C_SPLB_P2P : INTEGER;
      C_SPLB_MID_WIDTH : INTEGER;
      C_SPLB_NUM_MASTERS : INTEGER;
      C_SPLB_SUPPORT_BURSTS : INTEGER;
      C_SPLB_NATIVE_DWIDTH : INTEGER;
      C_MEMMAP_RX_BER_ERRORS : integer;
      C_MEMMAP_RX_BER_ERRORS_N_BITS : integer;
      C_MEMMAP_RX_BER_ERRORS_BIN_PT : integer;
      C_MEMMAP_RX_BER_TOTALBITS : integer;
      C_MEMMAP_RX_BER_TOTALBITS_N_BITS : integer;
      C_MEMMAP_RX_BER_TOTALBITS_BIN_PT : integer;
      C_MEMMAP_RX_CONTROLBITS_R : integer;
      C_MEMMAP_RX_CONTROLBITS_R_N_BITS : integer;
      C_MEMMAP_RX_CONTROLBITS_R_BIN_PT : integer;
      C_MEMMAP_RX_GAINS : integer;
      C_MEMMAP_RX_GAINS_N_BITS : integer;
      C_MEMMAP_RX_GAINS_BIN_PT : integer;
      C_MEMMAP_RX_OFDM_SYMBOLCOUNTS_R : integer;
      C_MEMMAP_RX_OFDM_SYMBOLCOUNTS_R_N_BITS : integer;
      C_MEMMAP_RX_OFDM_SYMBOLCOUNTS_R_BIN_PT : integer;
      C_MEMMAP_RX_PKTDET_DELAY_R : integer;
      C_MEMMAP_RX_PKTDET_DELAY_R_N_BITS : integer;
      C_MEMMAP_RX_PKTDET_DELAY_R_BIN_PT : integer;
      C_MEMMAP_RX_PKTDET_LONGCORR_PARAMS_R : integer;
      C_MEMMAP_RX_PKTDET_LONGCORR_PARAMS_R_N_BITS : integer;
      C_MEMMAP_RX_PKTDET_LONGCORR_PARAMS_R_BIN_PT : integer;
      C_MEMMAP_RX_PKTBYTENUMS_R : integer;
      C_MEMMAP_RX_PKTBYTENUMS_R_N_BITS : integer;
      C_MEMMAP_RX_PKTBYTENUMS_R_BIN_PT : integer;
      C_MEMMAP_RX_PKTDONE_INTERRUPTSTATUS : integer;
      C_MEMMAP_RX_PKTDONE_INTERRUPTSTATUS_N_BITS : integer;
      C_MEMMAP_RX_PKTDONE_INTERRUPTSTATUS_BIN_PT : integer;
      C_MEMMAP_TXRX_AUTOREPLY_ACTION0_R : integer;
      C_MEMMAP_TXRX_AUTOREPLY_ACTION0_R_N_BITS : integer;
      C_MEMMAP_TXRX_AUTOREPLY_ACTION0_R_BIN_PT : integer;
      C_MEMMAP_TXRX_AUTOREPLY_ACTION1_R : integer;
      C_MEMMAP_TXRX_AUTOREPLY_ACTION1_R_N_BITS : integer;
      C_MEMMAP_TXRX_AUTOREPLY_ACTION1_R_BIN_PT : integer;
      C_MEMMAP_TXRX_AUTOREPLY_ACTION2_R : integer;
      C_MEMMAP_TXRX_AUTOREPLY_ACTION2_R_N_BITS : integer;
      C_MEMMAP_TXRX_AUTOREPLY_ACTION2_R_BIN_PT : integer;
      C_MEMMAP_TXRX_AUTOREPLY_ACTION3_R : integer;
      C_MEMMAP_TXRX_AUTOREPLY_ACTION3_R_N_BITS : integer;
      C_MEMMAP_TXRX_AUTOREPLY_ACTION3_R_BIN_PT : integer;
      C_MEMMAP_TXRX_AUTOREPLY_ACTION4_R : integer;
      C_MEMMAP_TXRX_AUTOREPLY_ACTION4_R_N_BITS : integer;
      C_MEMMAP_TXRX_AUTOREPLY_ACTION4_R_BIN_PT : integer;
      C_MEMMAP_TXRX_AUTOREPLY_ACTION5_R : integer;
      C_MEMMAP_TXRX_AUTOREPLY_ACTION5_R_N_BITS : integer;
      C_MEMMAP_TXRX_AUTOREPLY_ACTION5_R_BIN_PT : integer;
      C_MEMMAP_TXRX_AUTOREPLY_MATCH0_R : integer;
      C_MEMMAP_TXRX_AUTOREPLY_MATCH0_R_N_BITS : integer;
      C_MEMMAP_TXRX_AUTOREPLY_MATCH0_R_BIN_PT : integer;
      C_MEMMAP_TXRX_AUTOREPLY_MATCH1_R : integer;
      C_MEMMAP_TXRX_AUTOREPLY_MATCH1_R_N_BITS : integer;
      C_MEMMAP_TXRX_AUTOREPLY_MATCH1_R_BIN_PT : integer;
      C_MEMMAP_TXRX_AUTOREPLY_MATCH2_R : integer;
      C_MEMMAP_TXRX_AUTOREPLY_MATCH2_R_N_BITS : integer;
      C_MEMMAP_TXRX_AUTOREPLY_MATCH2_R_BIN_PT : integer;
      C_MEMMAP_TXRX_AUTOREPLY_MATCH3_R : integer;
      C_MEMMAP_TXRX_AUTOREPLY_MATCH3_R_N_BITS : integer;
      C_MEMMAP_TXRX_AUTOREPLY_MATCH3_R_BIN_PT : integer;
      C_MEMMAP_TXRX_AUTOREPLY_MATCH4_R : integer;
      C_MEMMAP_TXRX_AUTOREPLY_MATCH4_R_N_BITS : integer;
      C_MEMMAP_TXRX_AUTOREPLY_MATCH4_R_BIN_PT : integer;
      C_MEMMAP_TXRX_AUTOREPLY_MATCH5_R : integer;
      C_MEMMAP_TXRX_AUTOREPLY_MATCH5_R_N_BITS : integer;
      C_MEMMAP_TXRX_AUTOREPLY_MATCH5_R_BIN_PT : integer;
      C_MEMMAP_TXRX_AUTOREPLY_MATCH6_R : integer;
      C_MEMMAP_TXRX_AUTOREPLY_MATCH6_R_N_BITS : integer;
      C_MEMMAP_TXRX_AUTOREPLY_MATCH6_R_BIN_PT : integer;
      C_MEMMAP_TXRX_AUTOREPLY_MATCH7_R : integer;
      C_MEMMAP_TXRX_AUTOREPLY_MATCH7_R_N_BITS : integer;
      C_MEMMAP_TXRX_AUTOREPLY_MATCH7_R_BIN_PT : integer;
      C_MEMMAP_TXRX_INTERRUPT_PKTBUF_CTRL_R : integer;
      C_MEMMAP_TXRX_INTERRUPT_PKTBUF_CTRL_R_N_BITS : integer;
      C_MEMMAP_TXRX_INTERRUPT_PKTBUF_CTRL_R_BIN_PT : integer;
      C_MEMMAP_TX_CONTROLBITS_R : integer;
      C_MEMMAP_TX_CONTROLBITS_R_N_BITS : integer;
      C_MEMMAP_TX_CONTROLBITS_R_BIN_PT : integer;
      C_MEMMAP_TX_OFDM_SYMCOUNTS_R : integer;
      C_MEMMAP_TX_OFDM_SYMCOUNTS_R_N_BITS : integer;
      C_MEMMAP_TX_OFDM_SYMCOUNTS_R_BIN_PT : integer;
      C_MEMMAP_TX_PKTRUNNING : integer;
      C_MEMMAP_TX_PKTRUNNING_N_BITS : integer;
      C_MEMMAP_TX_PKTRUNNING_BIN_PT : integer;
      C_MEMMAP_TX_START_RESET_CONTROL_R : integer;
      C_MEMMAP_TX_START_RESET_CONTROL_R_N_BITS : integer;
      C_MEMMAP_TX_START_RESET_CONTROL_R_BIN_PT : integer;
      C_MEMMAP_MIDPACKETRSSI : integer;
      C_MEMMAP_MIDPACKETRSSI_N_BITS : integer;
      C_MEMMAP_MIDPACKETRSSI_BIN_PT : integer;
      C_MEMMAP_PKTDET_CONTROLBITS_R : integer;
      C_MEMMAP_PKTDET_CONTROLBITS_R_N_BITS : integer;
      C_MEMMAP_PKTDET_CONTROLBITS_R_BIN_PT : integer;
      C_MEMMAP_PKTDET_DURATIONS_R : integer;
      C_MEMMAP_PKTDET_DURATIONS_R_N_BITS : integer;
      C_MEMMAP_PKTDET_DURATIONS_R_BIN_PT : integer;
      C_MEMMAP_PKTDET_STATUS : integer;
      C_MEMMAP_PKTDET_STATUS_N_BITS : integer;
      C_MEMMAP_PKTDET_STATUS_BIN_PT : integer;
      C_MEMMAP_PKTDET_THRESHOLDS_R : integer;
      C_MEMMAP_PKTDET_THRESHOLDS_R_N_BITS : integer;
      C_MEMMAP_PKTDET_THRESHOLDS_R_BIN_PT : integer;
      C_MEMMAP_RX_AF_TXSCALING_W : integer;
      C_MEMMAP_RX_AF_TXSCALING_W_N_BITS : integer;
      C_MEMMAP_RX_AF_TXSCALING_W_BIN_PT : integer;
      C_MEMMAP_RX_CONSTELLATION_SCALING_W : integer;
      C_MEMMAP_RX_CONSTELLATION_SCALING_W_N_BITS : integer;
      C_MEMMAP_RX_CONSTELLATION_SCALING_W_BIN_PT : integer;
      C_MEMMAP_RX_CONTROLBITS_W : integer;
      C_MEMMAP_RX_CONTROLBITS_W_N_BITS : integer;
      C_MEMMAP_RX_CONTROLBITS_W_BIN_PT : integer;
      C_MEMMAP_RX_FREQOFFFILT_B_KI_W : integer;
      C_MEMMAP_RX_FREQOFFFILT_B_KI_W_N_BITS : integer;
      C_MEMMAP_RX_FREQOFFFILT_B_KI_W_BIN_PT : integer;
      C_MEMMAP_RX_FREQOFFFILT_B_KP_W : integer;
      C_MEMMAP_RX_FREQOFFFILT_B_KP_W_N_BITS : integer;
      C_MEMMAP_RX_FREQOFFFILT_B_KP_W_BIN_PT : integer;
      C_MEMMAP_RX_OFDM_SYMBOLCOUNTS_W : integer;
      C_MEMMAP_RX_OFDM_SYMBOLCOUNTS_W_N_BITS : integer;
      C_MEMMAP_RX_OFDM_SYMBOLCOUNTS_W_BIN_PT : integer;
      C_MEMMAP_RX_PHASENOISETRACK_K_W : integer;
      C_MEMMAP_RX_PHASENOISETRACK_K_W_N_BITS : integer;
      C_MEMMAP_RX_PHASENOISETRACK_K_W_BIN_PT : integer;
      C_MEMMAP_RX_PILOTTHRESH_W : integer;
      C_MEMMAP_RX_PILOTTHRESH_W_N_BITS : integer;
      C_MEMMAP_RX_PILOTTHRESH_W_BIN_PT : integer;
      C_MEMMAP_RX_PKTDET_DELAY_W : integer;
      C_MEMMAP_RX_PKTDET_DELAY_W_N_BITS : integer;
      C_MEMMAP_RX_PKTDET_DELAY_W_BIN_PT : integer;
      C_MEMMAP_RX_PKTDET_LONGCORR_PARAMS_W : integer;
      C_MEMMAP_RX_PKTDET_LONGCORR_PARAMS_W_N_BITS : integer;
      C_MEMMAP_RX_PKTDET_LONGCORR_PARAMS_W_BIN_PT : integer;
      C_MEMMAP_RX_PRECFO_OPTIONS_W : integer;
      C_MEMMAP_RX_PRECFO_OPTIONS_W_N_BITS : integer;
      C_MEMMAP_RX_PRECFO_OPTIONS_W_BIN_PT : integer;
      C_MEMMAP_RX_PKTBYTENUMS_W : integer;
      C_MEMMAP_RX_PKTBYTENUMS_W_N_BITS : integer;
      C_MEMMAP_RX_PKTBYTENUMS_W_BIN_PT : integer;
      C_MEMMAP_RX_PKTDET_TRESHOLDS_W : integer;
      C_MEMMAP_RX_PKTDET_TRESHOLDS_W_N_BITS : integer;
      C_MEMMAP_RX_PKTDET_TRESHOLDS_W_BIN_PT : integer;
      C_MEMMAP_TXRX_AUTOREPLY_ACTION0_W : integer;
      C_MEMMAP_TXRX_AUTOREPLY_ACTION0_W_N_BITS : integer;
      C_MEMMAP_TXRX_AUTOREPLY_ACTION0_W_BIN_PT : integer;
      C_MEMMAP_TXRX_AUTOREPLY_ACTION1_W : integer;
      C_MEMMAP_TXRX_AUTOREPLY_ACTION1_W_N_BITS : integer;
      C_MEMMAP_TXRX_AUTOREPLY_ACTION1_W_BIN_PT : integer;
      C_MEMMAP_TXRX_AUTOREPLY_ACTION2_W : integer;
      C_MEMMAP_TXRX_AUTOREPLY_ACTION2_W_N_BITS : integer;
      C_MEMMAP_TXRX_AUTOREPLY_ACTION2_W_BIN_PT : integer;
      C_MEMMAP_TXRX_AUTOREPLY_ACTION3_W : integer;
      C_MEMMAP_TXRX_AUTOREPLY_ACTION3_W_N_BITS : integer;
      C_MEMMAP_TXRX_AUTOREPLY_ACTION3_W_BIN_PT : integer;
      C_MEMMAP_TXRX_AUTOREPLY_ACTION4_W : integer;
      C_MEMMAP_TXRX_AUTOREPLY_ACTION4_W_N_BITS : integer;
      C_MEMMAP_TXRX_AUTOREPLY_ACTION4_W_BIN_PT : integer;
      C_MEMMAP_TXRX_AUTOREPLY_ACTION5_W : integer;
      C_MEMMAP_TXRX_AUTOREPLY_ACTION5_W_N_BITS : integer;
      C_MEMMAP_TXRX_AUTOREPLY_ACTION5_W_BIN_PT : integer;
      C_MEMMAP_TXRX_AUTOREPLY_MATCH0_W : integer;
      C_MEMMAP_TXRX_AUTOREPLY_MATCH0_W_N_BITS : integer;
      C_MEMMAP_TXRX_AUTOREPLY_MATCH0_W_BIN_PT : integer;
      C_MEMMAP_TXRX_AUTOREPLY_MATCH1_W : integer;
      C_MEMMAP_TXRX_AUTOREPLY_MATCH1_W_N_BITS : integer;
      C_MEMMAP_TXRX_AUTOREPLY_MATCH1_W_BIN_PT : integer;
      C_MEMMAP_TXRX_AUTOREPLY_MATCH2_W : integer;
      C_MEMMAP_TXRX_AUTOREPLY_MATCH2_W_N_BITS : integer;
      C_MEMMAP_TXRX_AUTOREPLY_MATCH2_W_BIN_PT : integer;
      C_MEMMAP_TXRX_AUTOREPLY_MATCH3_W : integer;
      C_MEMMAP_TXRX_AUTOREPLY_MATCH3_W_N_BITS : integer;
      C_MEMMAP_TXRX_AUTOREPLY_MATCH3_W_BIN_PT : integer;
      C_MEMMAP_TXRX_AUTOREPLY_MATCH4_W : integer;
      C_MEMMAP_TXRX_AUTOREPLY_MATCH4_W_N_BITS : integer;
      C_MEMMAP_TXRX_AUTOREPLY_MATCH4_W_BIN_PT : integer;
      C_MEMMAP_TXRX_AUTOREPLY_MATCH5_W : integer;
      C_MEMMAP_TXRX_AUTOREPLY_MATCH5_W_N_BITS : integer;
      C_MEMMAP_TXRX_AUTOREPLY_MATCH5_W_BIN_PT : integer;
      C_MEMMAP_TXRX_AUTOREPLY_MATCH6_W : integer;
      C_MEMMAP_TXRX_AUTOREPLY_MATCH6_W_N_BITS : integer;
      C_MEMMAP_TXRX_AUTOREPLY_MATCH6_W_BIN_PT : integer;
      C_MEMMAP_TXRX_AUTOREPLY_MATCH7_W : integer;
      C_MEMMAP_TXRX_AUTOREPLY_MATCH7_W_N_BITS : integer;
      C_MEMMAP_TXRX_AUTOREPLY_MATCH7_W_BIN_PT : integer;
      C_MEMMAP_TXRX_FFT_SCALING_W : integer;
      C_MEMMAP_TXRX_FFT_SCALING_W_N_BITS : integer;
      C_MEMMAP_TXRX_FFT_SCALING_W_BIN_PT : integer;
      C_MEMMAP_TXRX_INTERRUPT_PKTBUF_CTRL_W : integer;
      C_MEMMAP_TXRX_INTERRUPT_PKTBUF_CTRL_W_N_BITS : integer;
      C_MEMMAP_TXRX_INTERRUPT_PKTBUF_CTRL_W_BIN_PT : integer;
      C_MEMMAP_TXRX_PILOTS_INDEX_W : integer;
      C_MEMMAP_TXRX_PILOTS_INDEX_W_N_BITS : integer;
      C_MEMMAP_TXRX_PILOTS_INDEX_W_BIN_PT : integer;
      C_MEMMAP_TXRX_PILOTS_VALUES_W : integer;
      C_MEMMAP_TXRX_PILOTS_VALUES_W_N_BITS : integer;
      C_MEMMAP_TXRX_PILOTS_VALUES_W_BIN_PT : integer;
      C_MEMMAP_TX_CONTROLBITS_W : integer;
      C_MEMMAP_TX_CONTROLBITS_W_N_BITS : integer;
      C_MEMMAP_TX_CONTROLBITS_W_BIN_PT : integer;
      C_MEMMAP_TX_OFDM_SYMCOUNTS_W : integer;
      C_MEMMAP_TX_OFDM_SYMCOUNTS_W_N_BITS : integer;
      C_MEMMAP_TX_OFDM_SYMCOUNTS_W_BIN_PT : integer;
      C_MEMMAP_TX_PREAMBLEMASKING_W : integer;
      C_MEMMAP_TX_PREAMBLEMASKING_W_N_BITS : integer;
      C_MEMMAP_TX_PREAMBLEMASKING_W_BIN_PT : integer;
      C_MEMMAP_TX_SCALING_W : integer;
      C_MEMMAP_TX_SCALING_W_N_BITS : integer;
      C_MEMMAP_TX_SCALING_W_BIN_PT : integer;
      C_MEMMAP_TX_START_RESET_CONTROL_W : integer;
      C_MEMMAP_TX_START_RESET_CONTROL_W_N_BITS : integer;
      C_MEMMAP_TX_START_RESET_CONTROL_W_BIN_PT : integer;
      C_MEMMAP_PKTDET_CONTROLBITS_W : integer;
      C_MEMMAP_PKTDET_CONTROLBITS_W_N_BITS : integer;
      C_MEMMAP_PKTDET_CONTROLBITS_W_BIN_PT : integer;
      C_MEMMAP_PKTDET_DURATIONS_W : integer;
      C_MEMMAP_PKTDET_DURATIONS_W_N_BITS : integer;
      C_MEMMAP_PKTDET_DURATIONS_W_BIN_PT : integer;
      C_MEMMAP_PKTDET_THRESHOLDS_W : integer;
      C_MEMMAP_PKTDET_THRESHOLDS_W_N_BITS : integer;
      C_MEMMAP_PKTDET_THRESHOLDS_W_BIN_PT : integer;
      C_MEMMAP_CHANNELESTIMATES : integer;
      C_MEMMAP_CHANNELESTIMATES_N_BITS : integer;
      C_MEMMAP_CHANNELESTIMATES_BIN_PT : integer;
      C_MEMMAP_CHANNELESTIMATES_DEPTH : integer;
      C_MEMMAP_RXMODULATION : integer;
      C_MEMMAP_RXMODULATION_N_BITS : integer;
      C_MEMMAP_RXMODULATION_BIN_PT : integer;
      C_MEMMAP_RXMODULATION_DEPTH : integer;
      C_MEMMAP_TXHEADERTRANSLATE : integer;
      C_MEMMAP_TXHEADERTRANSLATE_N_BITS : integer;
      C_MEMMAP_TXHEADERTRANSLATE_BIN_PT : integer;
      C_MEMMAP_TXHEADERTRANSLATE_DEPTH : integer;
      C_MEMMAP_TXMODULATION : integer;
      C_MEMMAP_TXMODULATION_N_BITS : integer;
      C_MEMMAP_TXMODULATION_BIN_PT : integer;
      C_MEMMAP_TXMODULATION_DEPTH : integer
    );
    port (
      bram_datain : in std_logic_vector(0 to (64-1));
      splb_clk : in std_logic;
      debug_chipscopetrig1 : in std_logic;
      ext_txen : in std_logic;
      plb_abus : in std_logic_vector(0 to (32-1));
      plb_pavalid : in std_logic;
      plb_rnw : in std_logic;
      plb_wrdbus : in std_logic_vector(0 to (C_SPLB_DWIDTH-1));
      rssi_anta : in std_logic_vector(0 to (10-1));
      rssi_antb : in std_logic_vector(0 to (10-1));
      rx_anta_adci : in std_logic_vector(0 to (14-1));
      rx_anta_adcq : in std_logic_vector(0 to (14-1));
      rx_anta_agc_done : in std_logic;
      rx_anta_gainbb : in std_logic_vector(0 to (5-1));
      rx_anta_gainrf : in std_logic_vector(0 to (2-1));
      rx_antb_adci : in std_logic_vector(0 to (14-1));
      rx_antb_adcq : in std_logic_vector(0 to (14-1));
      rx_antb_agc_done : in std_logic;
      rx_antb_gainbb : in std_logic_vector(0 to (5-1));
      rx_antb_gainrf : in std_logic_vector(0 to (2-1));
      rx_reset : in std_logic;
      shared_memory_data_out : in std_logic_vector(0 to (32-1));
      splb_rst : in std_logic;
      tx_reset : in std_logic;
      tx_starttransmit : in std_logic;
      bram_addr : out std_logic_vector(0 to (32-1));
      bram_dout : out std_logic_vector(0 to (64-1));
      bram_reset : out std_logic;
      bram_wen : out std_logic_vector(0 to (8-1));
      idlefordifs : out std_logic;
      pktdetect : out std_logic;
      radio_rxen : out std_logic;
      radio_txen : out std_logic;
      rssi_clk_out : out std_logic;
      rx_debug_antsel : out std_logic;
      rx_debug_eq_i : out std_logic_vector(0 to (14-1));
      rx_debug_eq_q : out std_logic_vector(0 to (14-1));
      rx_debug_evm : out std_logic_vector(0 to (14-1));
      rx_debug_payload : out std_logic;
      rx_debug_phasecorrect : out std_logic_vector(0 to (14-1));
      rx_debug_phaseerror : out std_logic_vector(0 to (14-1));
      rx_debug_pktdone : out std_logic;
      rx_int_badheader : out std_logic;
      rx_int_badpkt : out std_logic;
      rx_int_goodheader : out std_logic;
      rx_int_goodpkt : out std_logic;
      rx_pktdetreset : out std_logic;
      shared_memory_addr : out std_logic_vector(0 to (8-1));
      shared_memory_ce : out std_logic;
      shared_memory_clk : out std_logic;
      shared_memory_data_in : out std_logic_vector(0 to (32-1));
      shared_memory_we : out std_logic;
      sl_addrack : out std_logic;
      sl_rdcomp : out std_logic;
      sl_rddack : out std_logic;
      sl_rddbus : out std_logic_vector(0 to (C_SPLB_DWIDTH-1));
      sl_wait : out std_logic;
      sl_wrcomp : out std_logic;
      sl_wrdack : out std_logic;
      tx_anta_dac_i : out std_logic_vector(0 to (16-1));
      tx_anta_dac_q : out std_logic_vector(0 to (16-1));
      tx_antb_dac_i : out std_logic_vector(0 to (16-1));
      tx_antb_dac_q : out std_logic_vector(0 to (16-1));
      tx_debug_pktrunning : out std_logic;
      tx_pktdone : out std_logic
    );
  end component;

begin

  ofdm_txrx_mimo_plbw_0 : ofdm_txrx_supermimo_plbw
    generic map (
      C_BASEADDR => X"cda00000",
      C_HIGHADDR => X"cda0ffff",
      C_SPLB_AWIDTH => 32,
      C_SPLB_DWIDTH => 32,
      C_SPLB_P2P => 0,
      C_SPLB_MID_WIDTH => 1,
      C_SPLB_NUM_MASTERS => 1,
      C_SPLB_SUPPORT_BURSTS => 0,
      C_SPLB_NATIVE_DWIDTH => 32,
      C_MEMMAP_RX_BER_ERRORS => 16#4000#,
      C_MEMMAP_RX_BER_ERRORS_N_BITS => 32,
      C_MEMMAP_RX_BER_ERRORS_BIN_PT => 0,
      C_MEMMAP_RX_BER_TOTALBITS => 16#4004#,
      C_MEMMAP_RX_BER_TOTALBITS_N_BITS => 32,
      C_MEMMAP_RX_BER_TOTALBITS_BIN_PT => 0,
      C_MEMMAP_RX_CONTROLBITS_R => 16#4008#,
      C_MEMMAP_RX_CONTROLBITS_R_N_BITS => 32,
      C_MEMMAP_RX_CONTROLBITS_R_BIN_PT => 0,
      C_MEMMAP_RX_GAINS => 16#400C#,
      C_MEMMAP_RX_GAINS_N_BITS => 32,
      C_MEMMAP_RX_GAINS_BIN_PT => 0,
      C_MEMMAP_RX_OFDM_SYMBOLCOUNTS_R => 16#4010#,
      C_MEMMAP_RX_OFDM_SYMBOLCOUNTS_R_N_BITS => 32,
      C_MEMMAP_RX_OFDM_SYMBOLCOUNTS_R_BIN_PT => 0,
      C_MEMMAP_RX_PKTDET_DELAY_R => 16#4014#,
      C_MEMMAP_RX_PKTDET_DELAY_R_N_BITS => 32,
      C_MEMMAP_RX_PKTDET_DELAY_R_BIN_PT => 0,
      C_MEMMAP_RX_PKTDET_LONGCORR_PARAMS_R => 16#4018#,
      C_MEMMAP_RX_PKTDET_LONGCORR_PARAMS_R_N_BITS => 32,
      C_MEMMAP_RX_PKTDET_LONGCORR_PARAMS_R_BIN_PT => 0,
      C_MEMMAP_RX_PKTBYTENUMS_R => 16#401C#,
      C_MEMMAP_RX_PKTBYTENUMS_R_N_BITS => 32,
      C_MEMMAP_RX_PKTBYTENUMS_R_BIN_PT => 0,
      C_MEMMAP_RX_PKTDONE_INTERRUPTSTATUS => 16#4020#,
      C_MEMMAP_RX_PKTDONE_INTERRUPTSTATUS_N_BITS => 32,
      C_MEMMAP_RX_PKTDONE_INTERRUPTSTATUS_BIN_PT => 0,
      C_MEMMAP_TXRX_AUTOREPLY_ACTION0_R => 16#4024#,
      C_MEMMAP_TXRX_AUTOREPLY_ACTION0_R_N_BITS => 32,
      C_MEMMAP_TXRX_AUTOREPLY_ACTION0_R_BIN_PT => 0,
      C_MEMMAP_TXRX_AUTOREPLY_ACTION1_R => 16#4028#,
      C_MEMMAP_TXRX_AUTOREPLY_ACTION1_R_N_BITS => 32,
      C_MEMMAP_TXRX_AUTOREPLY_ACTION1_R_BIN_PT => 0,
      C_MEMMAP_TXRX_AUTOREPLY_ACTION2_R => 16#402C#,
      C_MEMMAP_TXRX_AUTOREPLY_ACTION2_R_N_BITS => 32,
      C_MEMMAP_TXRX_AUTOREPLY_ACTION2_R_BIN_PT => 0,
      C_MEMMAP_TXRX_AUTOREPLY_ACTION3_R => 16#4030#,
      C_MEMMAP_TXRX_AUTOREPLY_ACTION3_R_N_BITS => 32,
      C_MEMMAP_TXRX_AUTOREPLY_ACTION3_R_BIN_PT => 0,
      C_MEMMAP_TXRX_AUTOREPLY_ACTION4_R => 16#4034#,
      C_MEMMAP_TXRX_AUTOREPLY_ACTION4_R_N_BITS => 32,
      C_MEMMAP_TXRX_AUTOREPLY_ACTION4_R_BIN_PT => 0,
      C_MEMMAP_TXRX_AUTOREPLY_ACTION5_R => 16#4038#,
      C_MEMMAP_TXRX_AUTOREPLY_ACTION5_R_N_BITS => 32,
      C_MEMMAP_TXRX_AUTOREPLY_ACTION5_R_BIN_PT => 0,
      C_MEMMAP_TXRX_AUTOREPLY_MATCH0_R => 16#403C#,
      C_MEMMAP_TXRX_AUTOREPLY_MATCH0_R_N_BITS => 32,
      C_MEMMAP_TXRX_AUTOREPLY_MATCH0_R_BIN_PT => 0,
      C_MEMMAP_TXRX_AUTOREPLY_MATCH1_R => 16#4040#,
      C_MEMMAP_TXRX_AUTOREPLY_MATCH1_R_N_BITS => 32,
      C_MEMMAP_TXRX_AUTOREPLY_MATCH1_R_BIN_PT => 0,
      C_MEMMAP_TXRX_AUTOREPLY_MATCH2_R => 16#4044#,
      C_MEMMAP_TXRX_AUTOREPLY_MATCH2_R_N_BITS => 32,
      C_MEMMAP_TXRX_AUTOREPLY_MATCH2_R_BIN_PT => 0,
      C_MEMMAP_TXRX_AUTOREPLY_MATCH3_R => 16#4048#,
      C_MEMMAP_TXRX_AUTOREPLY_MATCH3_R_N_BITS => 32,
      C_MEMMAP_TXRX_AUTOREPLY_MATCH3_R_BIN_PT => 0,
      C_MEMMAP_TXRX_AUTOREPLY_MATCH4_R => 16#404C#,
      C_MEMMAP_TXRX_AUTOREPLY_MATCH4_R_N_BITS => 32,
      C_MEMMAP_TXRX_AUTOREPLY_MATCH4_R_BIN_PT => 0,
      C_MEMMAP_TXRX_AUTOREPLY_MATCH5_R => 16#4050#,
      C_MEMMAP_TXRX_AUTOREPLY_MATCH5_R_N_BITS => 32,
      C_MEMMAP_TXRX_AUTOREPLY_MATCH5_R_BIN_PT => 0,
      C_MEMMAP_TXRX_AUTOREPLY_MATCH6_R => 16#4054#,
      C_MEMMAP_TXRX_AUTOREPLY_MATCH6_R_N_BITS => 32,
      C_MEMMAP_TXRX_AUTOREPLY_MATCH6_R_BIN_PT => 0,
      C_MEMMAP_TXRX_AUTOREPLY_MATCH7_R => 16#4058#,
      C_MEMMAP_TXRX_AUTOREPLY_MATCH7_R_N_BITS => 32,
      C_MEMMAP_TXRX_AUTOREPLY_MATCH7_R_BIN_PT => 0,
      C_MEMMAP_TXRX_INTERRUPT_PKTBUF_CTRL_R => 16#405C#,
      C_MEMMAP_TXRX_INTERRUPT_PKTBUF_CTRL_R_N_BITS => 32,
      C_MEMMAP_TXRX_INTERRUPT_PKTBUF_CTRL_R_BIN_PT => 0,
      C_MEMMAP_TX_CONTROLBITS_R => 16#4060#,
      C_MEMMAP_TX_CONTROLBITS_R_N_BITS => 32,
      C_MEMMAP_TX_CONTROLBITS_R_BIN_PT => 0,
      C_MEMMAP_TX_OFDM_SYMCOUNTS_R => 16#4064#,
      C_MEMMAP_TX_OFDM_SYMCOUNTS_R_N_BITS => 32,
      C_MEMMAP_TX_OFDM_SYMCOUNTS_R_BIN_PT => 0,
      C_MEMMAP_TX_PKTRUNNING => 16#4068#,
      C_MEMMAP_TX_PKTRUNNING_N_BITS => 32,
      C_MEMMAP_TX_PKTRUNNING_BIN_PT => 0,
      C_MEMMAP_TX_START_RESET_CONTROL_R => 16#406C#,
      C_MEMMAP_TX_START_RESET_CONTROL_R_N_BITS => 32,
      C_MEMMAP_TX_START_RESET_CONTROL_R_BIN_PT => 0,
      C_MEMMAP_MIDPACKETRSSI => 16#4070#,
      C_MEMMAP_MIDPACKETRSSI_N_BITS => 32,
      C_MEMMAP_MIDPACKETRSSI_BIN_PT => 0,
      C_MEMMAP_PKTDET_CONTROLBITS_R => 16#4074#,
      C_MEMMAP_PKTDET_CONTROLBITS_R_N_BITS => 32,
      C_MEMMAP_PKTDET_CONTROLBITS_R_BIN_PT => 0,
      C_MEMMAP_PKTDET_DURATIONS_R => 16#4078#,
      C_MEMMAP_PKTDET_DURATIONS_R_N_BITS => 32,
      C_MEMMAP_PKTDET_DURATIONS_R_BIN_PT => 0,
      C_MEMMAP_PKTDET_STATUS => 16#407C#,
      C_MEMMAP_PKTDET_STATUS_N_BITS => 14,
      C_MEMMAP_PKTDET_STATUS_BIN_PT => 0,
      C_MEMMAP_PKTDET_THRESHOLDS_R => 16#4080#,
      C_MEMMAP_PKTDET_THRESHOLDS_R_N_BITS => 32,
      C_MEMMAP_PKTDET_THRESHOLDS_R_BIN_PT => 0,
      C_MEMMAP_RX_AF_TXSCALING_W => 16#4000#,
      C_MEMMAP_RX_AF_TXSCALING_W_N_BITS => 32,
      C_MEMMAP_RX_AF_TXSCALING_W_BIN_PT => 0,
      C_MEMMAP_RX_CONSTELLATION_SCALING_W => 16#4004#,
      C_MEMMAP_RX_CONSTELLATION_SCALING_W_N_BITS => 32,
      C_MEMMAP_RX_CONSTELLATION_SCALING_W_BIN_PT => 0,
      C_MEMMAP_RX_CONTROLBITS_W => 16#4008#,
      C_MEMMAP_RX_CONTROLBITS_W_N_BITS => 32,
      C_MEMMAP_RX_CONTROLBITS_W_BIN_PT => 0,
      C_MEMMAP_RX_FREQOFFFILT_B_KI_W => 16#400C#,
      C_MEMMAP_RX_FREQOFFFILT_B_KI_W_N_BITS => 32,
      C_MEMMAP_RX_FREQOFFFILT_B_KI_W_BIN_PT => 0,
      C_MEMMAP_RX_FREQOFFFILT_B_KP_W => 16#4010#,
      C_MEMMAP_RX_FREQOFFFILT_B_KP_W_N_BITS => 32,
      C_MEMMAP_RX_FREQOFFFILT_B_KP_W_BIN_PT => 0,
      C_MEMMAP_RX_OFDM_SYMBOLCOUNTS_W => 16#4014#,
      C_MEMMAP_RX_OFDM_SYMBOLCOUNTS_W_N_BITS => 32,
      C_MEMMAP_RX_OFDM_SYMBOLCOUNTS_W_BIN_PT => 0,
      C_MEMMAP_RX_PHASENOISETRACK_K_W => 16#4018#,
      C_MEMMAP_RX_PHASENOISETRACK_K_W_N_BITS => 32,
      C_MEMMAP_RX_PHASENOISETRACK_K_W_BIN_PT => 0,
      C_MEMMAP_RX_PILOTTHRESH_W => 16#401C#,
      C_MEMMAP_RX_PILOTTHRESH_W_N_BITS => 32,
      C_MEMMAP_RX_PILOTTHRESH_W_BIN_PT => 0,
      C_MEMMAP_RX_PKTDET_DELAY_W => 16#4020#,
      C_MEMMAP_RX_PKTDET_DELAY_W_N_BITS => 32,
      C_MEMMAP_RX_PKTDET_DELAY_W_BIN_PT => 0,
      C_MEMMAP_RX_PKTDET_LONGCORR_PARAMS_W => 16#4024#,
      C_MEMMAP_RX_PKTDET_LONGCORR_PARAMS_W_N_BITS => 32,
      C_MEMMAP_RX_PKTDET_LONGCORR_PARAMS_W_BIN_PT => 0,
      C_MEMMAP_RX_PRECFO_OPTIONS_W => 16#4028#,
      C_MEMMAP_RX_PRECFO_OPTIONS_W_N_BITS => 32,
      C_MEMMAP_RX_PRECFO_OPTIONS_W_BIN_PT => 0,
      C_MEMMAP_RX_PKTBYTENUMS_W => 16#402C#,
      C_MEMMAP_RX_PKTBYTENUMS_W_N_BITS => 32,
      C_MEMMAP_RX_PKTBYTENUMS_W_BIN_PT => 0,
      C_MEMMAP_RX_PKTDET_TRESHOLDS_W => 16#4030#,
      C_MEMMAP_RX_PKTDET_TRESHOLDS_W_N_BITS => 32,
      C_MEMMAP_RX_PKTDET_TRESHOLDS_W_BIN_PT => 0,
      C_MEMMAP_TXRX_AUTOREPLY_ACTION0_W => 16#4034#,
      C_MEMMAP_TXRX_AUTOREPLY_ACTION0_W_N_BITS => 32,
      C_MEMMAP_TXRX_AUTOREPLY_ACTION0_W_BIN_PT => 0,
      C_MEMMAP_TXRX_AUTOREPLY_ACTION1_W => 16#4038#,
      C_MEMMAP_TXRX_AUTOREPLY_ACTION1_W_N_BITS => 32,
      C_MEMMAP_TXRX_AUTOREPLY_ACTION1_W_BIN_PT => 0,
      C_MEMMAP_TXRX_AUTOREPLY_ACTION2_W => 16#403C#,
      C_MEMMAP_TXRX_AUTOREPLY_ACTION2_W_N_BITS => 32,
      C_MEMMAP_TXRX_AUTOREPLY_ACTION2_W_BIN_PT => 0,
      C_MEMMAP_TXRX_AUTOREPLY_ACTION3_W => 16#4040#,
      C_MEMMAP_TXRX_AUTOREPLY_ACTION3_W_N_BITS => 32,
      C_MEMMAP_TXRX_AUTOREPLY_ACTION3_W_BIN_PT => 0,
      C_MEMMAP_TXRX_AUTOREPLY_ACTION4_W => 16#4044#,
      C_MEMMAP_TXRX_AUTOREPLY_ACTION4_W_N_BITS => 32,
      C_MEMMAP_TXRX_AUTOREPLY_ACTION4_W_BIN_PT => 0,
      C_MEMMAP_TXRX_AUTOREPLY_ACTION5_W => 16#4048#,
      C_MEMMAP_TXRX_AUTOREPLY_ACTION5_W_N_BITS => 32,
      C_MEMMAP_TXRX_AUTOREPLY_ACTION5_W_BIN_PT => 0,
      C_MEMMAP_TXRX_AUTOREPLY_MATCH0_W => 16#404C#,
      C_MEMMAP_TXRX_AUTOREPLY_MATCH0_W_N_BITS => 32,
      C_MEMMAP_TXRX_AUTOREPLY_MATCH0_W_BIN_PT => 0,
      C_MEMMAP_TXRX_AUTOREPLY_MATCH1_W => 16#4050#,
      C_MEMMAP_TXRX_AUTOREPLY_MATCH1_W_N_BITS => 32,
      C_MEMMAP_TXRX_AUTOREPLY_MATCH1_W_BIN_PT => 0,
      C_MEMMAP_TXRX_AUTOREPLY_MATCH2_W => 16#4054#,
      C_MEMMAP_TXRX_AUTOREPLY_MATCH2_W_N_BITS => 32,
      C_MEMMAP_TXRX_AUTOREPLY_MATCH2_W_BIN_PT => 0,
      C_MEMMAP_TXRX_AUTOREPLY_MATCH3_W => 16#4058#,
      C_MEMMAP_TXRX_AUTOREPLY_MATCH3_W_N_BITS => 32,
      C_MEMMAP_TXRX_AUTOREPLY_MATCH3_W_BIN_PT => 0,
      C_MEMMAP_TXRX_AUTOREPLY_MATCH4_W => 16#405C#,
      C_MEMMAP_TXRX_AUTOREPLY_MATCH4_W_N_BITS => 32,
      C_MEMMAP_TXRX_AUTOREPLY_MATCH4_W_BIN_PT => 0,
      C_MEMMAP_TXRX_AUTOREPLY_MATCH5_W => 16#4060#,
      C_MEMMAP_TXRX_AUTOREPLY_MATCH5_W_N_BITS => 32,
      C_MEMMAP_TXRX_AUTOREPLY_MATCH5_W_BIN_PT => 0,
      C_MEMMAP_TXRX_AUTOREPLY_MATCH6_W => 16#4064#,
      C_MEMMAP_TXRX_AUTOREPLY_MATCH6_W_N_BITS => 32,
      C_MEMMAP_TXRX_AUTOREPLY_MATCH6_W_BIN_PT => 0,
      C_MEMMAP_TXRX_AUTOREPLY_MATCH7_W => 16#4068#,
      C_MEMMAP_TXRX_AUTOREPLY_MATCH7_W_N_BITS => 32,
      C_MEMMAP_TXRX_AUTOREPLY_MATCH7_W_BIN_PT => 0,
      C_MEMMAP_TXRX_FFT_SCALING_W => 16#406C#,
      C_MEMMAP_TXRX_FFT_SCALING_W_N_BITS => 12,
      C_MEMMAP_TXRX_FFT_SCALING_W_BIN_PT => 0,
      C_MEMMAP_TXRX_INTERRUPT_PKTBUF_CTRL_W => 16#4070#,
      C_MEMMAP_TXRX_INTERRUPT_PKTBUF_CTRL_W_N_BITS => 32,
      C_MEMMAP_TXRX_INTERRUPT_PKTBUF_CTRL_W_BIN_PT => 0,
      C_MEMMAP_TXRX_PILOTS_INDEX_W => 16#4074#,
      C_MEMMAP_TXRX_PILOTS_INDEX_W_N_BITS => 32,
      C_MEMMAP_TXRX_PILOTS_INDEX_W_BIN_PT => 0,
      C_MEMMAP_TXRX_PILOTS_VALUES_W => 16#4078#,
      C_MEMMAP_TXRX_PILOTS_VALUES_W_N_BITS => 32,
      C_MEMMAP_TXRX_PILOTS_VALUES_W_BIN_PT => 0,
      C_MEMMAP_TX_CONTROLBITS_W => 16#407C#,
      C_MEMMAP_TX_CONTROLBITS_W_N_BITS => 32,
      C_MEMMAP_TX_CONTROLBITS_W_BIN_PT => 0,
      C_MEMMAP_TX_OFDM_SYMCOUNTS_W => 16#4080#,
      C_MEMMAP_TX_OFDM_SYMCOUNTS_W_N_BITS => 32,
      C_MEMMAP_TX_OFDM_SYMCOUNTS_W_BIN_PT => 0,
      C_MEMMAP_TX_PREAMBLEMASKING_W => 16#4084#,
      C_MEMMAP_TX_PREAMBLEMASKING_W_N_BITS => 32,
      C_MEMMAP_TX_PREAMBLEMASKING_W_BIN_PT => 0,
      C_MEMMAP_TX_SCALING_W => 16#4088#,
      C_MEMMAP_TX_SCALING_W_N_BITS => 32,
      C_MEMMAP_TX_SCALING_W_BIN_PT => 0,
      C_MEMMAP_TX_START_RESET_CONTROL_W => 16#408C#,
      C_MEMMAP_TX_START_RESET_CONTROL_W_N_BITS => 32,
      C_MEMMAP_TX_START_RESET_CONTROL_W_BIN_PT => 0,
      C_MEMMAP_PKTDET_CONTROLBITS_W => 16#4090#,
      C_MEMMAP_PKTDET_CONTROLBITS_W_N_BITS => 32,
      C_MEMMAP_PKTDET_CONTROLBITS_W_BIN_PT => 0,
      C_MEMMAP_PKTDET_DURATIONS_W => 16#4094#,
      C_MEMMAP_PKTDET_DURATIONS_W_N_BITS => 32,
      C_MEMMAP_PKTDET_DURATIONS_W_BIN_PT => 0,
      C_MEMMAP_PKTDET_THRESHOLDS_W => 16#4098#,
      C_MEMMAP_PKTDET_THRESHOLDS_W_N_BITS => 32,
      C_MEMMAP_PKTDET_THRESHOLDS_W_BIN_PT => 0,
      C_MEMMAP_CHANNELESTIMATES => 16#1000#,
      C_MEMMAP_CHANNELESTIMATES_N_BITS => 32,
      C_MEMMAP_CHANNELESTIMATES_BIN_PT => 0,
      C_MEMMAP_CHANNELESTIMATES_DEPTH => 256,
      C_MEMMAP_RXMODULATION => 16#1400#,
      C_MEMMAP_RXMODULATION_N_BITS => 4,
      C_MEMMAP_RXMODULATION_BIN_PT => 0,
      C_MEMMAP_RXMODULATION_DEPTH => 192,
      C_MEMMAP_TXHEADERTRANSLATE => 16#0000#,
      C_MEMMAP_TXHEADERTRANSLATE_N_BITS => 10,
      C_MEMMAP_TXHEADERTRANSLATE_BIN_PT => 0,
      C_MEMMAP_TXHEADERTRANSLATE_DEPTH => 1024,
      C_MEMMAP_TXMODULATION => 16#1800#,
      C_MEMMAP_TXMODULATION_N_BITS => 4,
      C_MEMMAP_TXMODULATION_BIN_PT => 0,
      C_MEMMAP_TXMODULATION_DEPTH => 192
    )
    port map (
      bram_datain => bram_datain,
      splb_clk => splb_clk,
      debug_chipscopetrig1 => debug_chipscopetrig1,
      ext_txen => ext_txen,
      plb_abus => plb_abus,
      plb_pavalid => plb_pavalid,
      plb_rnw => plb_rnw,
      plb_wrdbus => plb_wrdbus,
      rssi_anta => rssi_anta,
      rssi_antb => rssi_antb,
      rx_anta_adci => rx_anta_adci,
      rx_anta_adcq => rx_anta_adcq,
      rx_anta_agc_done => rx_anta_agc_done,
      rx_anta_gainbb => rx_anta_gainbb,
      rx_anta_gainrf => rx_anta_gainrf,
      rx_antb_adci => rx_antb_adci,
      rx_antb_adcq => rx_antb_adcq,
      rx_antb_agc_done => rx_antb_agc_done,
      rx_antb_gainbb => rx_antb_gainbb,
      rx_antb_gainrf => rx_antb_gainrf,
      rx_reset => rx_reset,
      shared_memory_data_out => shared_memory_data_out,
      splb_rst => splb_rst,
      tx_reset => tx_reset,
      tx_starttransmit => tx_starttransmit,
      bram_addr => bram_addr,
      bram_dout => bram_dout,
      bram_reset => bram_reset,
      bram_wen => bram_wen,
      idlefordifs => idlefordifs,
      pktdetect => pktdetect,
      radio_rxen => radio_rxen,
      radio_txen => radio_txen,
      rssi_clk_out => rssi_clk_out,
      rx_debug_antsel => rx_debug_antsel,
      rx_debug_eq_i => rx_debug_eq_i,
      rx_debug_eq_q => rx_debug_eq_q,
      rx_debug_evm => rx_debug_evm,
      rx_debug_payload => rx_debug_payload,
      rx_debug_phasecorrect => rx_debug_phasecorrect,
      rx_debug_phaseerror => rx_debug_phaseerror,
      rx_debug_pktdone => rx_debug_pktdone,
      rx_int_badheader => rx_int_badheader,
      rx_int_badpkt => rx_int_badpkt,
      rx_int_goodheader => rx_int_goodheader,
      rx_int_goodpkt => rx_int_goodpkt,
      rx_pktdetreset => rx_pktdetreset,
      shared_memory_addr => shared_memory_addr,
      shared_memory_ce => shared_memory_ce,
      shared_memory_clk => shared_memory_clk,
      shared_memory_data_in => shared_memory_data_in,
      shared_memory_we => shared_memory_we,
      sl_addrack => sl_addrack,
      sl_rdcomp => sl_rdcomp,
      sl_rddack => sl_rddack,
      sl_rddbus => sl_rddbus,
      sl_wait => sl_wait,
      sl_wrcomp => sl_wrcomp,
      sl_wrdack => sl_wrdack,
      tx_anta_dac_i => tx_anta_dac_i,
      tx_anta_dac_q => tx_anta_dac_q,
      tx_antb_dac_i => tx_antb_dac_i,
      tx_antb_dac_q => tx_antb_dac_q,
      tx_debug_pktrunning => tx_debug_pktrunning,
      tx_pktdone => tx_pktdone
    );

end architecture STRUCTURE;

